Subject: Linux kernel debug headers

From: Chance Zibolski <[email-masked]>
Date: Wed, 13 Apr 2022 09:53:52 -0700

Hey all, I’m trying to use parole to generate BTF metadata for the Linux kernel in Alpine, but I’m unable to find how to get the debug symbols.

In Ubuntu, there’s a package `linux-image-$(uname -r)-dbgsym` in a separate apt repository that will install these debug symbols into `/usr/lib/debug/boot/$(uname -r)`, however I cannot figure out how to do the same thing using Alpine.

Is there any similar methods for getting the debug symbols for a given Alpine kernel? In this case I’m running Alpine in a VM using Lima on Mac, so I’m using the `linux-virt` kernel with Alpine

Thanks,
- Chance